import { BasicColumn } from '@/components/Table';

export const propertyFormSchema: any[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      placeholder: '输入属性名称搜素',
    },
    colProps: { span: 4 },
  },
];
export const propertyModelFormSchema: any[] = [
  {
    field: 'propName',
    label: '属性名称',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fieldName',
    label: '字段名称',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'dataType',
    label: '数据类型',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'nullFlag',
    label: '是否为空',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '否', value: '0' },
        { label: '是', value: '1' },
      ],
    },
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'primaryFlag',
    label: '是否主键',
    component: 'RadioGroup',
    componentProps: {
      options: [
        { label: '否', value: '0' },
        { label: '是', value: '1' },
      ],
    },
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'length',
    label: '长度',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'precision',
    label: '精度',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'relationBasic',
    label: '关联基础标准',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'relationCode',
    label: '关联公共代码',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'describe',
    label: '属性描述',
    component: 'Input',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
];
export const propertyTable: BasicColumn[] = [
  {
    title: '属性名称',
    dataIndex: 'propName',
    width: 150,
  },
  {
    title: '字段名称',
    dataIndex: 'fieldName',
    width: 150,
  },
  {
    title: '数据类型',
    dataIndex: 'dataType',
    width: 150,
  },
  {
    title: '是否为空',
    dataIndex: 'nullFlag',
    width: 150,
  },
  {
    title: '是否主键',
    dataIndex: 'primaryFlag',
    width: 150,
  },
  {
    title: '是否外键',
    dataIndex: 'foreignFlag',
    width: 150,
  },
  {
    title: '关联属性',
    dataIndex: 'relationValue',
    width: 150,
  },
  {
    title: '长度',
    dataIndex: 'length',
    width: 150,
  },
  {
    title: '精度',
    dataIndex: 'precision',
    width: 150,
  },
  {
    title: '关联基础标准',
    dataIndex: 'relationBasic',
    width: 150,
  },
  {
    title: '关联公共代码',
    dataIndex: 'relationCode',
    width: 150,
  },
  {
    title: '属性描述',
    dataIndex: 'describe',
    width: 150,
  },
];
export const entityConnectionModelFormSchema: any[] = [
  {
    field: 'physicalModel',
    label: '选择物理模型',
    component: 'Select',
    required: true,
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'describe',
    label: '关联描述',
    component: 'Input',
    colProps: { lg: 24, md: 24 },
  },
];
export const entityConnectionTable: any[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 150,
  },
  {
    title: '关联描述',
    dataIndex: 'describe',
    width: 150,
  },
  {
    title: '关联时间',
    dataIndex: 'time',
    width: 150,
  },
  {
    title: '操作用户',
    dataIndex: 'operate',
    width: 150,
  },
];
